Issue #10 resolved
Former user created an issue

Does OpenBiblio work with PHP 6?

Comments (7)

  1. Micah Stetson repo owner

    I haven't tested it yet. There are a few lingering PHP 5 issues, so I wouldn't be surprised if there were problems. I'll be fixing the PHP 5 issues in the next week, but if you would like to test in PHP 6 and report back here, that would be helpful.

    Thanks.

  2. Micah Stetson repo owner

    The PHP 5 issues should now be fixed. If somebody could test with PHP 6 and report the results here, that would be great.

  3. Theodor Kiss

    I got this message with PHP6:

    Fatal error: Call to undefined function set_magic_quotes_runtime() in C:\AppServ\www\openbiblio\shared\common.php on line 24

  4. Micah Stetson repo owner

    Ah. We'll get that fixed before release. I'm pretty sure we can replace that with a call to ini_set() that will work for all versions we support. Thanks for checking.

  5. Hans van der Weij

    Probably we won't see PHP 6 soon, and the successor for version 5.3 is 5.4.0, released recently.

    And yes: OpenBiblio 0.7.1 does work with 5.4.0 (previous releases of OpenBiblio do not).

  6. Log in to comment